# Generated by Django 2.2.7 on 2020-12-08 03:50

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Ficha',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nome', models.CharField(max_length=80)),
                ('raca', models.CharField(max_length=80)),
                ('idade', models.IntegerField()),
                ('contato_dono', models.CharField(max_length=80)),
                ('situacao', models.TextField()),
                ('data_cadastro', models.DateTimeField(auto_now_add=True)),
            ],
        ),
        migrations.CreateModel(
            name='Registro',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('titulo', models.CharField(default='titulo', max_length=80)),
                ('diagnostico', models.TextField()),
                ('data_registro', models.DateTimeField(auto_now_add=True)),
                ('ficha', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='clinica.Ficha')),
            ],
        ),
    ]
